Skip to main content
GET
/
connections
/
{connection_id}
/
sales_tax_items
Query Sales Tax Items
curl --request GET \
  --url https://qubesync.com/api/v1/connections/{connection_id}/sales_tax_items \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "request_xml": "<QBXML><QBXMLMsgsRq onError='stopOnError'><CustomerQueryRq requestID='1'><MaxReturned>100</MaxReturned></CustomerQueryRq></QBXMLMsgsRq></QBXML>",
    "connection_id": "123e4567-e89b-12d3-a456-426614174000",
    "request_json": {
      "version": "13.0",
      "request": {
        "name": "CustomerQueryRq",
        "attributes": {
          "request_id": "1"
        },
        "children": [
          {
            "name": "MaxReturned",
            "text": "100"
          }
        ]
      }
    },
    "response_xml": "<QBXML><QBXMLMsgsRs statusCode='0' statusSeverity='Info' statusMessage='Status OK'><CustomerQueryRs requestID='1' statusCode='0' statusSeverity='Info' statusMessage='Status OK'><CustomerRet><ListID>80000001-1234567890</ListID><Name>Sample Customer</Name></CustomerRet></CustomerQueryRs></QBXMLMsgsRs></QBXML>",
    "response_json": [
      {}
    ],
    "webhook_url": "https://example.com/webhook",
    "webhook_attempts": [
      {
        "attempted_at": "2023-11-07T05:31:56Z",
        "response": "<string>"
      }
    ],
    "webhook_error": "<string>",
    "error": {
      "message": "<string>",
      "code": "<string>",
      "details": {}
    },
    "links": {
      "self": "/api/v1/connections/123e4567-e89b-12d3-a456-426614174000/queued_requests/550e8400-e29b-41d4-a716-446655440000",
      "ui": "/app/queued_requests/550e8400-e29b-41d4-a716-446655440000",
      "connection_ui": "/app/connections/123e4567-e89b-12d3-a456-426614174000"
    },
    "inserted_at": "2023-01-01T12:00:00Z",
    "updated_at": "2023-01-01T12:00:01Z"
  }
}

Authorizations

Authorization
string
header
required

Use your app's API_KEY as the username, and leave the password blank

Path Parameters

connection_id
string<uuid>
required

ID of the connection to use for the query

Query Parameters

request_id
string

A custom ID that can be used to identify the request and response. This could be your local ID for the request.

Example:

"1"

iterate
boolean

If true, QuBe Sync will automatically handle the QBXML iteration until all records are returned. Each page of results will have its own request record and webhook. The id and webhook_url will be the same across each page request, and there will also be page_request_id, page values to distinguish pages from each other.

Example:

true

max_returned
integer

Maximum number of results to return

include[]
enum<string>[]

List of fields for QuickBooks to include in the response

Available options:
FullName,
ListID,
etc
name
string

Filter by name (partial match, case-insensitive)

from_name
string

Filter by lower bound of FullName (range query)

to_name
string

Filter by upper bound of FullName (range query)

list_id[]
string[]

Filter by one or more QuickBooks ListID values

full_name[]
string[]

Filter by one or more QuickBooks FullName values

active
enum<string>
default:ActiveOnly

Filter by active status

Available options:
ActiveOnly,
InactiveOnly,
All
from_modified_date
string<date-time>

Filter by modification date (start, inclusive)

to_modified_date
string<date-time>

Filter by modification date (end, inclusive)

webhook_url
string<uri>

Optional URL to receive a webhook when the request is completed

Response

Sales tax item query accepted and queued for processing. Returns a queued request object.

data
object